# OpalRecordManager::Mixer_T Class Reference

`#include <audiorecord.h>`

Inheritance diagram for OpalRecordManager::Mixer_T:

List of all members.

## Public Member Functions

| Mixer_T ()
PBoolean | Open (const PFilePath &fn)
bool | IsOpen () const
PBoolean | Close ()
PBoolean | OnWriteAudio (const MixerFrame &mixerFrame)

## Protected Attributes

OpalWAVFile | file
PBoolean | mono
PBoolean | started

## Constructor & Destructor Documentation

OpalRecordManager::Mixer_T::Mixer_T | ( |  | ) |

## Member Function Documentation

PBoolean OpalRecordManager::Mixer_T::Open | ( | const PFilePath & | fn | ) |

bool OpalRecordManager::Mixer_T::IsOpen | ( |  | ) | const`[inline]`

PBoolean OpalRecordManager::Mixer_T::Close | ( |  | ) |

PBoolean OpalRecordManager::Mixer_T::OnWriteAudio | ( | const MixerFrame & | mixerFrame | ) |

## Member Data Documentation

OpalWAVFile OpalRecordManager::Mixer_T::file `[protected]`

PBoolean OpalRecordManager::Mixer_T::mono `[protected]`

PBoolean OpalRecordManager::Mixer_T::started `[protected]`

The documentation for this class was generated from the following file:

- audiorecord.h